package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractAdvertInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractAdvertInfo()
    {
        this("id");
    }
    protected AbstractAdvertInfo(String pkField)
    {
        super(pkField);
        put("E1", new com.kingdee.eas.custom.gggl.AdvertE1Collection());
    }
    /**
     * Object: 广告位灯箱管理 's 组别 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertTreeInfo getTreeid()
    {
        return (com.kingdee.eas.custom.gggl.AdvertTreeInfo)get("treeid");
    }
    public void setTreeid(com.kingdee.eas.custom.gggl.AdvertTreeInfo item)
    {
        put("treeid", item);
    }
    /**
     * Object:广告位灯箱管理's 标准单价property 
     */
    public java.math.BigDecimal getBzPrice()
    {
        return getBigDecimal("bzPrice");
    }
    public void setBzPrice(java.math.BigDecimal item)
    {
        setBigDecimal("bzPrice", item);
    }
    /**
     * Object:广告位灯箱管理's 位置property 
     */
    public String getAddress()
    {
        return getString("address");
    }
    public void setAddress(String item)
    {
        setString("address", item);
    }
    /**
     * Object:广告位灯箱管理's 室内/室外property 
     */
    public com.kingdee.eas.custom.gggl.SWEnum getSnw()
    {
        return com.kingdee.eas.custom.gggl.SWEnum.getEnum(getString("snw"));
    }
    public void setSnw(com.kingdee.eas.custom.gggl.SWEnum item)
    {
		if (item != null) {
        setString("snw", item.getValue());
		}
    }
    /**
     * Object:广告位灯箱管理's 可见尺寸property 
     */
    public String getKjcc()
    {
        return getString("kjcc");
    }
    public void setKjcc(String item)
    {
        setString("kjcc", item);
    }
    /**
     * Object:广告位灯箱管理's 面积property 
     */
    public String getArea()
    {
        return getString("area");
    }
    public void setArea(String item)
    {
        setString("area", item);
    }
    /**
     * Object: 广告位灯箱管理 's 归属广告位 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertInfo getGsGgw()
    {
        return (com.kingdee.eas.custom.gggl.AdvertInfo)get("gsGgw");
    }
    public void setGsGgw(com.kingdee.eas.custom.gggl.AdvertInfo item)
    {
        put("gsGgw", item);
    }
    /**
     * Object: 广告位灯箱管理 's 第1个表体 property 
     */
    public com.kingdee.eas.custom.gggl.AdvertE1Collection getE1()
    {
        return (com.kingdee.eas.custom.gggl.AdvertE1Collection)get("E1");
    }
    /**
     * Object: 广告位灯箱管理 's 财务组织 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getCompanyOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("CompanyOrgUnit");
    }
    public void setCompanyOrgUnit(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("CompanyOrgUnit", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6B457932");
    }
}